Bug 857795 - virt-manager miss attribute "type='spicevmc'" when change the mode of smartcard from host to passthrough
virt-manager miss attribute "type='spicevmc'" when change the mode of smartca...
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-16 23:15 EDT by tingting zheng
Modified: 2014-07-06 15:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-17 10:19:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tingting zheng 2012-09-16 23:15:12 EDT
Description of problem:
virt-manager miss attribute "type='spicevmc'" when change the mode of smartcard from host to passthrough

Version-Release number of selected component (if applicable):
virt-manager-0.9.0-14.el6.x86_64
libvirt-0.10.1-2.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Prepare one guest,shut down the guest.

2. Open virt-manager,add smartcard,set the mode as host.

3. Change the mode of smartcard to passthrough,error occurs:
XML error: passthrough mode requires a character device type attribute

4. If firstly set the mode as passthrough,it can be set successfully and it can also change the mode to host without error.

Actual results:
Error occurs:XML error: passthrough mode requires a character device type attribute

Expected results:
It can change the mode from host to passthrough successfully.

Additional info:
1.#virt-manager --debug
2012-09-14 17:17:35,042 (libvirtobject:135): Redefining 'demo2' with XML diff:
--- Original XML 
+++ New XML 
@@ -40,7 +40,7 @@
       <source bridge="breth0"/>
       <address type="pci" domain="0x0000" bus="0x00" slot="0x03" function="0x0"/>
     </interface>
-    <smartcard mode="host">
+    <smartcard mode="passthrough">
       <address type="ccid" controller="0" slot="0"/>
     </smartcard>
     <serial type="pty">

2012-09-14 17:17:35,046 (error:80): dialog message: Error changing VM configuration: XML error: passthrough mode requires a character device type attribute : Error changing VM configuration: XML error: passthrough mode requires a character device type attribute

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/details.py", line 2331, in _change_config_helper
    self.vm.redefine_cached()
  File "/usr/share/virt-manager/virtManager/domain.py", line 326, in redefine_cached
    self._redefine_xml(xml)
  File "/usr/share/virt-manager/virtManager/libvirtobject.py", line 147, in _redefine_xml
    return self._redefine_helper(origxml, newxml)
  File "/usr/share/virt-manager/virtManager/libvirtobject.py", line 137, in _redefine_helper
    self._define(newxml)
  File "/usr/share/virt-manager/virtManager/domain.py", line 775, in _define
    self.conn.define_domain(newxml)
  File "/usr/share/virt-manager/virtManager/connection.py", line 813, in define_domain
    return self.vmm.defineXML(xml)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 2579, in defineXML
    if ret is None:raise libvirtError('virDomainDefineXML() failed', conn=self)
libvirtError: XML error: passthrough mode requires a character device type attribute

2.#cat /var/log/libvirt/libvirtd.log
2012-09-14 09:17:35.043+0000: 8204: error : virDomainSmartcardDefParseXML:5665 : XML error: passthrough mode requires a character device type attribute
Comment 2 Cole Robinson 2013-08-17 10:19:35 EDT
This is fixed upstream now

Note You need to log in before you can comment on or make changes to this bug.